Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il
Interface ClientILService

All Known Implementing Classes:
  HTTPClientILService, JVMClientILService, OIL2ClientILService, OILClientILService, RMIClientILService, UILClientILService

public interface ClientILService

This class manages the lifecycle of an instance of the ClientIL Implementations of this class should have a default constructor.

Version:
  $Revision: 1.2 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com)

Method Summary
`ClientIL` | `getClientIL()` After initialization, this method may be called to obtain a reference to a ClientIL object.
`void` | `init(Connection connection, Properties props)` After construction, the ClientILService is initialized with a reference to the Connection object and the connection properties.
`void` | `start()` Once started, the ClientIL instance should process all server requests.
`void` | `stop()` Once stopped, the ClientIL instance stop processing all server requests.

Method Detail

### init

    public void init(Connection connection,
                     Properties props)
              throws Exception

  After construction, the ClientILService is initialized with a reference to the Connection object and the connection properties.

  Parameters:
    `connection` - Description of Parameter
    `props` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### getClientIL

    public ClientIL getClientIL()
                         throws Exception

  After initialization, this method may be called to obtain a reference to a ClientIL object. This object will eventually be serialized and sent to the server so that he can invoke methods on connection it was initialized with.

  Returns:
    The ClientIL value
  Throws:
    `Exception` - Description of Exception

### start

    public void start()
               throws Exception

  Once started, the ClientIL instance should process all server requests.

  Throws:
    `Exception` - Description of Exception

### stop

    public void stop()
              throws Exception

  Once stopped, the ClientIL instance stop processing all server requests. if( cr_server != null ) cr_server.close(); if (cr!=null && cr instanceof java.rmi.Remote) { java.rmi.server.UnicastRemoteObject.unexportObject((java.rmi.Remote)cr, true); }

  Throws:
    `Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.